POST api/batchapi/add/loadingstep?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
Body Parameters
BatchLoadingStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| mediwave_id | globally unique identifier |
Required |
|
| batch_details | Collection of BatchDetailViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "23f296b0-547e-443d-8352-e1d0b8a639dc",
"mediwave_id": "690497b7-0331-45f4-a44a-fc4830ac792d",
"batch_details": [
{
"id": "587bbc4b-08d4-412f-a450-4fe4c24901e6",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-09-25T21:07:51.5540689+00:00",
"reference": "sample string 4"
},
{
"id": "587bbc4b-08d4-412f-a450-4fe4c24901e6",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-09-25T21:07:51.5540689+00:00",
"reference": "sample string 4"
}
]
}
application/xml, text/xml
Sample:
<batch_loading_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<batch_details>
<batch_detail>
<compartment>2</compartment>
<id>587bbc4b-08d4-412f-a450-4fe4c24901e6</id>
<reference>sample string 4</reference>
<unload_time>2026-09-25T21:07:51.5540689+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
<batch_detail>
<compartment>2</compartment>
<id>587bbc4b-08d4-412f-a450-4fe4c24901e6</id>
<reference>sample string 4</reference>
<unload_time>2026-09-25T21:07:51.5540689+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
</batch_details>
<id>23f296b0-547e-443d-8352-e1d0b8a639dc</id>
<mediwave_id>690497b7-0331-45f4-a44a-fc4830ac792d</mediwave_id>
</batch_loading_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"988e3e13-f0dc-4bc5-be1a-7573df89b30d"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">988e3e13-f0dc-4bc5-be1a-7573df89b30d</guid>